Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management
Class WebLogicObjectName

    java.lang.Object
      |
      +--javax.management.ObjectName
            |
            +--weblogic.management.WebLogicObjectName

public class WebLogicObjectName
extends javax.management.ObjectName

A WebLogic ObjectName looks like this: weblogic:name=,type=,configuration=

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `LOCATION` The key for the location component of a WebLogic ObjectName.
`static java.lang.String` | `NAME` The key for the simple name component of a WebLogic ObjectName
`static java.lang.String` | `TYPE` The key for the type component of a WebLogic ObjectName
`static java.lang.String` | `WEBLOGIC` The weblogic domain

Constructor Summary
`WebLogicObjectName(javax.management.ObjectName objectName, java.lang.String locationName)` Builds an ObjectName for any MBean, localizing it to locationName.
`WebLogicObjectName(java.lang.String fullObjectName)` Builds a WebLogic ObjectName.
`WebLogicObjectName(java.lang.String domain, java.util.Hashtable properties)` Builds an ObjectName for any MBean.
`WebLogicObjectName(java.lang.String name, java.lang.String type)` Builds an ObjectName for an MBean in the weblogic domain
`WebLogicObjectName(java.lang.String name, java.lang.String type, java.lang.String domain)` Builds an ObjectName for Admin MBean.
`WebLogicObjectName(java.lang.String name, java.lang.String type, java.lang.String domain, java.lang.String location)` Builds an ObjectName for Config MBean.
`WebLogicObjectName(java.lang.String nameArg, java.lang.String typeArg, java.lang.String domainArg, java.lang.String locationArg, WebLogicObjectName parentArg)`
`WebLogicObjectName(java.lang.String nameArg, java.lang.String typeArg, java.lang.String domainArg, WebLogicObjectName parentArg)` Builds an ObjectName for any MBean.
`WebLogicObjectName(java.lang.String nameArg, java.lang.String typeArg, WebLogicObjectName parentArg)` Builds an ObjectName for any MBean.
`WebLogicObjectName(WebLogicObjectName objectNameArg, WebLogicObjectName parentArg)`

Method Summary
`boolean` | `equals(java.lang.Object object)`
`java.lang.String` | `getLocation()`
`java.lang.String` | `getName()`
`WebLogicObjectName` | `getParent()`
`java.lang.String` | `getType()`
`int` | `hashCode()`

Methods inherited from class javax.management.ObjectName
`getCanonicalKeyPropertyListString, getCanonicalName, getDomain, getKeyProperty, getKeyPropertyList, getKeyPropertyListString, isPattern, isPropertyPattern, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### WEBLOGIC

    public static final java.lang.String WEBLOGIC

  The weblogic domain

### NAME

    public static final java.lang.String NAME

  The key for the simple name component of a WebLogic ObjectName

### TYPE

    public static final java.lang.String TYPE

  The key for the type component of a WebLogic ObjectName

### LOCATION

    public static final java.lang.String LOCATION

  The key for the location component of a WebLogic ObjectName. This is the simple name of the server (i.e. myserver) on which MBean lives.

Constructor Detail

### WebLogicObjectName

    public WebLogicObjectName(java.lang.String fullObjectName)
                       throws javax.management.MalformedObjectNameException

  Builds a WebLogic ObjectName.

### WebLogicObjectName

    public WebLogicObjectName(java.lang.String name,
                              java.lang.String type)
                       throws javax.management.MalformedObjectNameException

  Builds an ObjectName for an MBean in the weblogic domain

### WebLogicObjectName

    public WebLogicObjectName(java.lang.String name,
                              java.lang.String type,
                              java.lang.String domain)
                       throws javax.management.MalformedObjectNameException

  Builds an ObjectName for Admin MBean.

### WebLogicObjectName

    public WebLogicObjectName(java.lang.String name,
                              java.lang.String type,
                              java.lang.String domain,
                              java.lang.String location)
                       throws javax.management.MalformedObjectNameException

  Builds an ObjectName for Config MBean.

### WebLogicObjectName

    public WebLogicObjectName(java.lang.String nameArg,
                              java.lang.String typeArg,
                              java.lang.String domainArg,
                              WebLogicObjectName parentArg)
                       throws javax.management.MalformedObjectNameException

  Builds an ObjectName for any MBean.

### WebLogicObjectName

    public WebLogicObjectName(WebLogicObjectName objectNameArg,
                              WebLogicObjectName parentArg)
                       throws javax.management.MalformedObjectNameException

### WebLogicObjectName

    public WebLogicObjectName(java.lang.String nameArg,
                              java.lang.String typeArg,
                              java.lang.String domainArg,
                              java.lang.String locationArg,
                              WebLogicObjectName parentArg)
                       throws javax.management.MalformedObjectNameException

### WebLogicObjectName

    public WebLogicObjectName(java.lang.String nameArg,
                              java.lang.String typeArg,
                              WebLogicObjectName parentArg)
                       throws javax.management.MalformedObjectNameException

  Builds an ObjectName for any MBean.

### WebLogicObjectName

    public WebLogicObjectName(java.lang.String domain,
                              java.util.Hashtable properties)
                       throws javax.management.MalformedObjectNameException

  Builds an ObjectName for any MBean.

### WebLogicObjectName

    public WebLogicObjectName(javax.management.ObjectName objectName,
                              java.lang.String locationName)
                       throws javax.management.MalformedObjectNameException

  Builds an ObjectName for any MBean, localizing it to locationName.

Method Detail

### getName

    public java.lang.String getName()

### getType

    public java.lang.String getType()

### getLocation

    public java.lang.String getLocation()

### getParent

    public WebLogicObjectName getParent()

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class javax.management.ObjectName

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    equals in class javax.management.ObjectName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD